#!/usr/bin/env python3
# -*- coding: utf-8 -*-


# Photos promo 2014
from django.core.management.base import NoArgsCommand
from portailuser.models import Ecole
from ldap_inp import LdapEleveAvecPhoto

import os
from PIL import Image


class Command(NoArgsCommand):
    help = "Photos A7 promo 2014"

    def handle_noargs(self, *args, **kwargs):
        main("a7_2014")  # promo 2014


def save_photos(rep):
    """Create a Jpeg"""
    for img in os.listdir(rep):
        # givenNameSearch
        # snSearch
        name = img[1:-4]  # supprime '.jpg' de la fin et la lettre du prénom
        print(f"Nom : {name} ({img})…")
        try:
            eleve = LdapEleveAvecPhoto.objects.filter(snSearch=name, promo="2014", ecole=Ecole.a7)
            if len(eleve) == 1:
                eleve = eleve[0]
            else:
                for k in eleve:
                    if eleve.givenNameSearch[0] == img[0]:
                        eleve = k
                        break

            eleve.jpegPhoto = lire_photo(img, rep)
            eleve.save()
            print("ok")
        except LdapEleveAvecPhoto.DoesNotExist:
            print("oups, pas d'élève " + name + ", uid=" + img.split(".jpg")[0])


def lire_photo(ident, rep):
    """Lit la photo ident"""
    photo = Image.open(os.path.join(rep + "/", ident))
    return photo


def main(rep):
    """Main"""
    save_photos(rep)


if __name__ == "__main__":
    main("a7_2014")
